Authors: Michele Maris (1), Marco Molinaro (1)

    (1) INAF/Trieste Astronomical Observatory

First Issue: 
    2018 Nov 1

Python3 library to handle contents of ARTECS: Archive of terrestrial-type climate simulations 

    http://wwwuser.oats.inaf.it/exobio/climates/

through TAP and PYVO services.

Dependencies: numpy, scipy, pandas, pyvo

To install pyvo: 
>sudo pip3 install pyvo

Example of session with TAP: selection of a list of cases

>import pyvo as vo

>tap_service = vo.dal.TAPService("http://archives.ia2.inaf.it/vo/tap/exo")

>tap_results = tap_service.search("SELECT top 1 exp_id, url FROM exo.EXO")

>print(tap_results)

>len(tap_results)

>tap_results.getrecord(0)


Example of session with TAP: download of a fits map of temperatures

>import artecs

>atap=artecs.exop_pubblic_tap()

>atap.EXPLAIN()

>atap.keys()

>tab=atap.search('(0.7 <= SMA) and (SMA <=3.)')

>tab.FO_CONST.unique()

>tab.to_csv('/tmp/pippo.csv',sep=' ')

>MAP=atap.get_map(tab.URL[0])

REFERENCES:
Please quote
Climate bistability of Earth-like exoplanets
Murante G., Provenzale A., Vladilo G.,Taffoni G., Silva L., Palazzi E.,von Hardenberg J.,Maris M., Londero E., Knapic C., Zorba C.
MNRAS 492, 2638–2650 (2020) 
doi: 10.1093/mnras/stz3529
